Lavalite package that provides cases management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `wei-ben/cases`.

    "wei-ben/cases": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    WeiBen\Cases\Providers\CasesServiceProvider::class,

And also add it to alias

    'Cases'  => WeiBen\Cases\Facades\Cases::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=WeiBen\\CasesTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="WeiBen\Cases\Providers\CasesServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="WeiBen\Cases\Providers\CasesServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="WeiBen\Cases\Providers\CasesServiceProvider" --tag="view"


## Usage


