<?php

namespace WeiBen\Cases\Repositories\Eloquent;

use WeiBen\Cases\Interfaces\CasesRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class CasesRepository extends BaseRepository implements CasesRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('wei-ben.cases.cases.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('wei-ben.cases.cases.model');
    }
}
