<?php

namespace WeiBen\Cases\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CasesListTransformer extends TransformerAbstract
{
    public function transform(\WeiBen\Cases\Models\Cases $cases)
    {
        return [
            'id'                => $cases->getRouteKey(),
            'id'                => $cases->id,
            'industry'          => $cases->industry,
            'scene'             => $cases->scene,
            'brand'             => $cases->brand,
            'iamges'            => $cases->iamges,
            'name'              => $cases->name,
            'describe'          => $cases->describe,
            'detailed'          => $cases->detailed,
            'status'            => trans('app.'.$cases->status),
            'created_at'        => format_date($cases->created_at),
            'updated_at'        => format_date($cases->updated_at),
        ];
    }
}